# coding: utf-8
from data_generator import CONTEXT
from data_generator import URL
from flask import jsonify
from flask import render_template
from flask import session
from helpers import send_request
from server import app


@app.route('/')
def home():
    return render_template(
        'index.html',
        persons=CONTEXT.persons,
        organizations=CONTEXT.organizations,
        run_info=CONTEXT.run_info
    )


@app.route('/send_data', methods=['POST'])
def send_data():
    if (not session.get('was_send') or
            not CONTEXT.run_info.get('send_result')):
        result = send_request(URL)
        session['was_send'] = True
        CONTEXT.run_info['send_result'] = result
        CONTEXT.run_info['is_send'] = 'true'
    else:
        result = CONTEXT.run_info['send_result']
    return jsonify(result)